> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ondb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# POST /x402/verify - Validate payment without executing

> This endpoint validates that a payment proof is authentic and meets
the payment requirements, without waiting for blockchain confirmation.



## OpenAPI

````yaml /openapi.yaml post /x402/verify
openapi: 3.1.0
info:
  title: OnDB API
  description: Monetize anything
  license:
    name: ''
  version: 4.0.0
servers: []
security: []
tags:
  - name: Health
    description: Health check and system status
  - name: Applications
    description: Application management
  - name: Billing
    description: Billing information and usage
  - name: Pricing
    description: Pricing information and quotes
  - name: X402 Payment Protocol
    description: Payment verification and settlement
  - name: Data Storage
    description: Store data to Celestia blockchain
  - name: Data Query
    description: Query and retrieve data
  - name: Collections
    description: Collection management
  - name: Indexes
    description: Index management and relations
  - name: Retention
    description: Data retention policies
  - name: Materialized Views
    description: Materialized view management
  - name: Predefined Queries
    description: Create and execute predefined queries
  - name: View Query
    description: Query materialized view data
  - name: Wallet
    description: App wallet management
  - name: Tasks
    description: Task tracking and status
  - name: Transactions
    description: Transaction status
  - name: Authorization
    description: Authorization grant management
  - name: API Keys
    description: API key management
  - name: Encryption
    description: Encryption settings and configuration
  - name: Payout
    description: Payout settings and history
  - name: API Collections
    description: API collection management
paths:
  /x402/verify:
    post:
      tags:
        - X402 Payment Protocol
      summary: POST /x402/verify - Validate payment without executing
      description: |-
        This endpoint validates that a payment proof is authentic and meets
        the payment requirements, without waiting for blockchain confirmation.
      operationId: x402_verify
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VerifyRequest'
        required: true
      responses:
        '200':
          description: Payment verification result
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VerifyResponse'
components:
  schemas:
    VerifyRequest:
      type: object
      required:
        - x402Version
        - paymentHeader
        - paymentRequirements
      properties:
        paymentHeader:
          type: string
        paymentRequirements: {}
        x402Version:
          type: integer
          format: int32
          minimum: 0
    VerifyResponse:
      type: object
      required:
        - isValid
      properties:
        invalidReason:
          type:
            - string
            - 'null'
        isValid:
          type: boolean

````